<ion-view cache-view="false" title="conference" ng-controller="programmeEditCtrl as ctrl">
  <div class="container" style="padding-top: 50px;padding-bottom: 50px;">
    <div class="row">
      <div class="col-sm-12">
        <h1>{{ctrl.tipo}}:</h1>
        <h2>{{ctrl.conference.general.name}}</h2>
        <hr>
      </div>
    </div>

    <!-- info general -->
    <div class="row">
      <div class="col-sm-12">
        <h4>Edit General Info:</h4>
        <form>

          <div class="form-group">
            <label>{{ctrl.tipo}} Name:</label>
            <div>
              <input type="text" class="form-control"
                     ng-model="ctrl.conference.general.name"
                     placeholder="G ood Practice">
            </div>
          </div>

          <div class="form-group">
            <label>Day:</label>
            <div>
              <label class="radio-inline" ng-repeat="day in ctrl.days">
                <input type="radio" id="optionsRadios1" ng-model="ctrl.conference.general.day" ng-value="{{day.value}}">
                {{day.text}}
              </label>
            </div>
          </div>

          <div class="form-group">
            <label>{{ctrl.tipo}} Start:</label>
            <div>
              <input type="text" class="form-control"
                     ng-model="ctrl.conference.general.start"
                     placeholder="08:30">
            </div>
          </div>

          <div class="form-group">
            <label>{{ctrl.tipo}} End:</label>
            <div>
              <input type="text" class="form-control"
                     ng-model="ctrl.conference.general.end"
                     placeholder="08:30">
            </div>
          </div>

          <div class="form-group">
            <label>Description:</label>
            <div>
              <text-angular ng-model="ctrl.conference.general.description"></text-angular>
            </div>
          </div>

          <div class="form-group">
            <label>{{ctrl.tipo}} documents:</label>
            <div>
              <div class="navbar navbar-default" ng-repeat="doc in ctrl.documents">
                <p class="navbar-text">{{doc.name}}</p>

                <div class="nav navbar-nav navbar-right" style="margin-right: 15px !important;">
                  <a class="btn btn-primary navbar-btn" ng-href="{{doc.url}}" target="_blank">View PDF</a>
                  <button class="btn btn-success navbar-btn" ng-click="ctrl.docEdit(doc)">Edit</button>
                  <button class="btn btn-danger navbar-btn" ng-click="ctrl.docDelete(doc)">Remove</button>
                </div>
              </div>

              <button type="button" class="btn button-positive" ngf-select ngf-change="ctrl.uploadfiles($files)" ngf-multiple="true">
                Add documents
              </button>
            </div>
          </div>

        </form>

      </div><!-- /.col -->
    </div><!-- /.row -->

    <!-- AGREGAR MULTIPLES SPEAKERS -->
    <div class="row" ng-if="ctrl.tipo !== 'Brake'">
      <div class="col-sm-12">
        <hr>

        <h4>
          <span class="glyphicon glyphicon-bullhorn" aria-hidden="true"></span>
          Speakers:
        </h4>

        <ul class="list-group">
          <li class="list-group-item" ng-repeat="(key,value) in ctrl.conference.speakers | orderBy: 'lastname'">
            <i class="icon ion-person"></i>
            {{ctrl.speakersObj[key].general.name}}
            {{ctrl.speakersObj[key].general.lastname}}

            <div class="botones-derecha">
              <button type="button" class="btn btn-success" ui-sref="admin.speakerEdit({ idSpeaker: key})">
                Edit
              </button>
              <button type="button" class="btn btn-danger" ng-click="ctrl.speakerRemove(key)">
                Remove from this session
              </button>
            </div>
          </li>
        </ul>

        <div class="speakers-dropdown">
          <p>
            In order to add speakers to the session select one from the dropdown list, then click on "add speaker to session" button.<br>
            If the speaker you are looking for is not in the list, you can create a new one by clicking on "create speaker" button:
          </p>

          <div class="row">
            <div class="col-sm-6">
              <select class="form-control"
                      ng-options="speaker.$id as (speaker.general.name +  ' ' + speaker.general.lastname) for speaker in ctrl.speakers"
                      ng-model="ctrl.selectedSpeaker">
              </select>
            </div><!-- /.col -->
            <div class="col-sm-4">
              <button type="button" class="btn btn-primary" ng-click="ctrl.addSpeaker()">
                Add Speaker to session
              </button>
              or
              <button type="button" class="btn btn-success" ng-click="ctrl.createSpeaker()">
                Create Speaker
              </button>
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div><!-- /.speakers-dropdown -->

      </div><!-- /.col -->
    </div><!-- /.row -->

    <div class="row">
      <div class="col-sm-12">
        <hr>
        <button type="button" class="btn btn-success" ng-click="ctrl.saveData()">
          Update Session
        </button>
        <button type="button" class="btn btn-danger" ng-click="ctrl.delete()">
          Delete Session
        </button>
      </div>
    </div>

  </div><!-- /.container -->
</ion-view>
